ELRepo Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000306 [channel: elrepo/el6] kmod-compat-wireless minor always 2012-09-14 01:31 2012-12-23 22:13
Reporter yossi137 View Status public  
Assigned To pperry
Priority normal Resolution fixed  
Status resolved  
Summary 0000306: alx driver can not be build in Centos6.x
Description The alx driver which supports Atheros AR8162/AR8162 can not be build on Centos6.x.
The driver has not yet reached the main stream and package released in http://www.linuxfoundation.org/collaborate/workgroups/networking/alx [^] does not compile for Centos.
To solve this tedious problem (took me 2 days to get around all the stuff) you need to get the original Atheros driver (from Atheros), but after they were bought by Qualcomm this can not be tracked any more.
I managed to track one, goto http://www.touslesdrivers.com/index.php?v_page=23&v_code=34178&v_langue=en [^] and download the file.
The unrar it and build it (just run make), then perform "sudo insmod alx.ko", and the eth0 appears, then just "sudo ifconfig eth0 up" and you are ready to go.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0002483)
pperry (administrator)
2012-09-14 09:17

Hi,

Many thanks for the useful information.

I'm not sure this is a driver source we can use though as it is our policy to only use upstream sources that are verifiable and I'm not sure of the source of that driver - e.g, touslesdrivers.com is not Atheros / Qualcomm.

We need to be extra cautious as we are asking users to install packages that insert a driver (code) at the heart of the kernel. This has significant security implications and it is critical that users can verify the source we ship and our packaging process. Part of that auditing process generally requires trusting the upstream source (unless you are fluent reading C and kernel driver source code) hence it must come from a trusted source - generally the vendor or kernel.org.

If people want to trust and use this driver then that is their decision but it's not one that elrepo is able to make for them. IMHO this would be good information to put on a blog / howto, but unfortunately it's not something elrepo can package at this time.

Many thanks
(0002484)
yossi137 (reporter)
2012-09-14 15:02

Thanks,
I will be more careful next time.
(0002485)
pperry (administrator)
2012-09-14 15:44

No problem.

I'm not implying the sources are not legitimate, just that we are unable to trust them for elrepo unless they come direct from Atheros / Qualcomm.
(0002519)
pperry (administrator)
2012-09-24 10:42

Update:

The source for the alx driver is now in the nightly compat-wireless snapshots found here:

http://www.orbit-lab.org/kernel/compat-wireless/ [^]

I tried with a snapshot from last night, compat-wireless-2012-09-23-pc.tar.bz2

./scripts/driver-select alx
make

and it builds fine on RHEL6

At present we do not build from nightly snapshots, but rather from the stable releases. The code for this driver still hasn't made it into the 3.6-rc6 release (it's still in crap code in compat-wireless) so it doesn't look like it's about to make a stable release any time soon.

Thoughts/opinions on whether we should build/release this driver (it would only ever be to the testing repo at best)?
(0002520)
burakkucat (administrator)
2012-09-24 11:48

I would be inclined to give due consideration to building it (as the kmod-alx package, for release into the elrepo-testing repository) as ephemera.
(0002554)
pperry (administrator)
2012-10-15 12:14

I've built the following packages and just released them to the el6 testing repository:

http://elrepo.org/linux/testing/el6/ [^]

kmod-alx-0.0-1.20121003.el6.elrepo.i686.rpm
kmod-alx-0.0-1.20121003.el6.elrepo.x86_64.rpm
alx-kmod-0.0-1.20121003.el6.elrepo.src.rpm

If anyone can confirm that they work for them, then I will promote them to the main elrepo repository.

These packages are built from the latest nightly snapshot of code from compat-wireless (2012-10-03):

http://www.orbit-lab.org/kernel/compat-wireless/ [^]

The ALX driver page is here:
http://www.linuxfoundation.org/collaborate/workgroups/networking/alx [^]

Thanks.
(0002650)
Douglas (reporter)
2012-12-21 20:12

Please help. Package will not load. Thank you!

This machine has working internet. The wireless Broadcom controller listed below works. I have also been able to get the Atheros AR8162 controller to work as well by recompiling with each new kernel followed by insmod alx.ko

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.32-279.14.1.el6.x86_64 #1 SMP Tue Nov 6 23:43:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

# lspci -v only shows the network controllers. I deleted the other stuff.

[root@localhost ~]# lspci -v
02:00.0 Ethernet controller: Atheros Communications Inc. AR8162 Fast Ethernet (rev 10)
    Subsystem: Lenovo Device 3979
    Flags: bus master, fast devsel, latency 0, IRQ 11
    Memory at d3900000 (64-bit, non-prefetchable) [size=256K]
    I/O ports at 2000 [size=128]
    Capabilities: [40] Power Management version 3
    Capabilities: [58] Express Endpoint, MSI 00
    Capabilities: [c0] MSI: Enable- Count=1/16 Maskable+ 64bit+
    Capabilities: [d8] MSI-X: Enable- Count=16 Masked-
    Capabilities: [100] Advanced Error Reporting
    Capabilities: [180] Device Serial Number ff-22-08-70-20-89-84-ff

03:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
    Subsystem: Broadcom Corporation Device 0587
    Flags: bus master, fast devsel, latency 0, IRQ 17
    Memory at d3800000 (64-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Capabilities: [58] Vendor Specific Information <?>
    Capabilities: [48] MSI: Enable- Count=1/1 Maskable- 64bit+
    Capabilities: [d0] Express Endpoint, MSI 00
    Capabilities: [100] Advanced Error Reporting
    Capabilities: [13c] Virtual Channel <?>
    Capabilities: [160] Device Serial Number 00-00-3d-ff-ff-d6-c0-14
    Capabilities: [16c] Power Budgeting <?>
    Kernel driver in use: wl
    Kernel modules: wl

[root@localhost ~]#[root@localhost ~]# rpm -qa|grep -i elrepo
elrepo-release-6-4.el6.elrepo.noarch

[root@localhost ~]# yum --enablerepo=elrepo-testing install kmod-alx

Loaded plugins: aliases, changelog, downloadonly, fastestmirror, kabi, presto, refresh-packagekit, security, tmprepo, verify, versionlock
Loading support for CentOS kernel ABI
Loading mirror speeds from cached hostfile
 * base: holmes.umflint.edu
 * elrepo: ftp.osuosl.org
 * elrepo-testing: ftp.osuosl.org
 * extras: mirrors.seas.harvard.edu
 * updates: mirror.ubiquityservers.com
elrepo-testing | 1.9 kB 00:00
elrepo-testing/primary_db | 70 kB 00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-alx.x86_64 0:0.0-1.20121003.el6.elrepo will be installed
--> Processing Dependency: kernel(compat_schedule_work) = 0x94a498c8 for package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64
--> Processing Dependency: kernel(__netdev_printk) = 0xffc0010c for package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64
--> Processing Dependency: kernel(compat_dependency_symbol) = 0xe0d81039 for package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64 (elrepo-testing)
           Requires: kernel(__netdev_printk) = 0xffc0010c
Error: Package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64 (elrepo-testing)
           Requires: kernel(compat_dependency_symbol) = 0xe0d81039
Error: Package: kmod-alx-0.0-1.20121003.el6.elrepo.x86_64 (elrepo-testing)
           Requires: kernel(compat_schedule_work) = 0x94a498c8
 You could try using --skip-broken to work around the problem

** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
1:emacs-23.1-21.el6_2.3.x86_64 has missing requires of libotf.so.0()(64bit)

# END OUTPUT
(0002651)
pperry (administrator)
2012-12-22 04:37

Douglas,

Thanks for your report.

Updated packages that hopefully fix the issue are currently syncing to the mirrors (they do at least now install!).

kmod-alx-0.0-2.20121003.el6.elrepo

Please test and report back.

Thank you.
(0002654)
Douglas (reporter)
2012-12-22 10:48

It works perfectly. Thanks very much.

Centos 6.3 / Lenovo G780 4-way, dual threaded

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.32-279.14.1.el6.x86_64 #1 SMP Tue Nov 6 23:43:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[root@localhost ~]# rpm -qa|grep -i elrepo
elrepo-release-6-4.el6.elrepo.noarch


#
# THIS NEXT STEP TOOK A FEW MINUTES.
# BE PATIENT
#

[root@localhost ~]# yum --enablerepo=elrepo-testing install kmod-alx
Loaded plugins: aliases, changelog, downloadonly, fastestmirror, kabi, presto, refresh-packagekit, security, tmprepo, verify, versionlock
Loading support for CentOS kernel ABI
Loading mirror speeds from cached hostfile
 * base: holmes.umflint.edu
 * elrepo: mirror.symnds.com
 * elrepo-testing: mirror.symnds.com
 * extras: mirrors.seas.harvard.edu
 * updates: mirror.ubiquityservers.com
elrepo-testing | 1.9 kB 00:00
elrepo-testing/primary_db | 73 kB 00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-alx.x86_64 0:0.0-2.20121003.el6.elrepo will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================
 Package Arch Version Repository Size
===============================================================================================================================================================================
Installing:
 kmod-alx x86_64 0.0-2.20121003.el6.elrepo elrepo-testing 77 k

Transaction Summary
===============================================================================================================================================================================
Install 1 Package(s)

Total download size: 77 k
Installed size: 249 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 77 k
kmod-alx-0.0-2.20121003.el6.elrepo.x86_64.rpm | 77 kB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : kmod-alx-0.0-2.20121003.el6.elrepo.x86_64 1/1
Working. This may take some time ...
Done.
  Verifying : kmod-alx-0.0-2.20121003.el6.elrepo.x86_64 1/1

Installed:
  kmod-alx.x86_64 0:0.0-2.20121003.el6.elrepo

Complete!

[root@localhost ~]# rpm -qa|grep -i alx
kmod-alx-0.0-2.20121003.el6.elrepo.x86_64


[root@localhost ~]# reboot

# END OF OUTPUT

Thanks again.
(0002655)
pperry (administrator)
2012-12-22 13:14

Thanks Douglas for reporting back.

I assume the driver is working OK with your Atheros AR8162 network controller?

If it's all OK I'll move the package from testing to the main elrepo repository.

Thanks again for the feedback.
(0002656)
Douglas (reporter)
2012-12-23 21:54

The driver works well. I am able to switch between the AR8162 and my Broadcom wireless adapter with no issues.

Well done and thank you.
(0002657)
pperry (administrator)
2012-12-23 22:12

Brilliant - thanks Douglas.

I'll move the package out of testing and to the main repository.

I'll close this issue as fixed. Any new reports can be filed directly against the driver package.

- Issue History
Date Modified Username Field Change
2012-09-14 01:31 yossi137 New Issue
2012-09-14 01:31 yossi137 Status new => assigned
2012-09-14 01:31 yossi137 Assigned To => pperry
2012-09-14 09:17 pperry Note Added: 0002483
2012-09-14 15:02 yossi137 Note Added: 0002484
2012-09-14 15:44 pperry Note Added: 0002485
2012-09-24 10:42 pperry Note Added: 0002519
2012-09-24 11:48 burakkucat Note Added: 0002520
2012-10-15 12:14 pperry Note Added: 0002554
2012-12-21 20:12 Douglas Note Added: 0002650
2012-12-22 04:37 pperry Note Added: 0002651
2012-12-22 10:48 Douglas Note Added: 0002654
2012-12-22 13:14 pperry Note Added: 0002655
2012-12-23 21:54 Douglas Note Added: 0002656
2012-12-23 22:12 pperry Note Added: 0002657
2012-12-23 22:13 pperry Status assigned => resolved
2012-12-23 22:13 pperry Resolution open => fixed
2013-09-04 05:29 romeospidey Issue Monitored: romeospidey


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker